use yacll::{
    stylize::{BORDER, ROUND_BORDER},
    Result, Yogurt,
};

fn main() -> Result<()> {
    let mut y = Yogurt::new();
    y.enter_alt()?;

    y.cursor_on(yacll::stylize::CursorAttr::Hidden)?;

    y.draw_box((10, 10), (25, 25), BORDER)?;
    y.flush()?;
    std::thread::sleep(std::time::Duration::from_secs(3));
    y.clear(yacll::ClrT::All)?;

    y.draw_box((20, 20), (35, 35), ROUND_BORDER)?;
    y.flush()?;
    std::thread::sleep(std::time::Duration::from_secs(3));
    y.clear(yacll::ClrT::All)?;

    y.cursor_off(yacll::stylize::CursorAttr::Hidden)?;

    y.leave_alt()?;
    Ok(())
}
