use yacll::stylize::{reset, Attr, Color, Style, Styler};
use yacll::Yogurt;

// my very cool (and not at all unreadable) style
fn cool_style() -> Style {
    Styler::new()
        .foreground(Color::Red)
        .background(Color::Blue)
        .underline(Color::Green)
        .attr(Attr::Underlined)
        .attr(Attr::Overlined)
        .attr(Attr::Strikethrough)
        .attr(Attr::Bold)
        .attr(Attr::Italic)
        .style()
}

fn main() -> yacll::Result<()> {
    let mut y = Yogurt::new();
    y.style(cool_style())?;
    y.print("Hello, world!\n")?;
    y.style(reset())?;
    y.flush()?;
    Ok(())
}
